commit 72284e4ec020e9d5284167ceb25cfd62765c536a
Author: andrew <andrew@deepthought.localdomain>
Date: Sat, 8 Feb 2025 23:12:25 -0600
Init
Diffstat:
6 files changed, 98 insertions(+), 0 deletions(-)
diff --git a/backup.sh b/backup.sh
@@ -0,0 +1,3 @@
+#!/bin/bash
+
+/home/andrew/bin/backupHelper.sh >> /home/andrew/logs/backup.log 2>&1
diff --git a/backupHelper.sh b/backupHelper.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+# (a) Archive mode (recursive, symlinks, preserve permissions, etc.)
+# (v) Verbose
+# (z) Compress
+
+# This ensures in case there have been any issues with the mount it will remount it.
+echo "=== STARTING ==="
+date
+if ! mount | grep "/mnt " > /dev/null; then
+ echo "MOUNTING SERVER TO REMOTE"
+ sshfs andrew@brgr.heron-peacock.ts.net:/home/shared/ /mnt/ -o reconnect
+fi
+
+rsync -avz /mnt/* /home/serverBackup
+doas umount -l /mnt
+echo "=== COMPLETED SUCCESSFULLY ==="
diff --git a/dmenu.sh b/dmenu.sh
@@ -0,0 +1,11 @@
+#!/bin/ash
+
+# Dracula color scheme
+background="#000000"
+foreground="#ffffff"
+highlight="#44475a"
+border="#6272a4"
+prompt="Open"
+
+dmenu_run -nb "$background" -nf "$foreground" -sb "$highlight" -sf "$foreground" -p "$prompt"
+
diff --git a/install.sh b/install.sh
@@ -0,0 +1,64 @@
+# alpine base install via 'setup-alpine'
+# desktop setup via 'setup-desktop' (sway)
+# Make sure to uncomment second line of /etc/apk/repositories
+
+# why isn't this default?
+doas apk add curl
+
+# open apps
+doas apk add dmenu
+
+# git
+doas apk add git
+
+# Install and set default shell
+doas apk add shadow
+doas apk add bash
+doas chsh andrew -s /bin/bash
+
+# Sync
+doas apk add rsync
+
+# python
+doas apk add python3
+doas apk add py3-pip
+
+# mount server
+doas apk add sshfs
+
+# window manager
+doas apk add sway
+
+# tailscale
+doas apk add tailscale
+
+# Email Client
+doas apk add thunderbird
+
+# Audio Controller (yes, it is old, but it was the only thing that worked)
+doas apk add pulseaudio
+
+# Session Manager
+doas apk add tmux
+
+# Control Sound
+doas apk add pavucontrol
+
+# Video/Music Viewer and YT-DLP for streaming
+doas apk add mpv yt-dlp
+
+# File System Traversal
+doas apk add zoxide
+
+# Text Editor
+doas apk add neovim
+
+# Viewer
+doas apk add okular
+
+# Browser
+doas apk add firefox
+
+# LaTeX + filetype conversion
+doas apk add texmf-dist texlive
+doas apk add pandoc
diff --git a/mpv.sh b/mpv.sh
@@ -0,0 +1,2 @@
+#!/bin/ash
+mpv $(wl-paste)$ && exit
diff --git a/setScreen.sh b/setScreen.sh
@@ -0,0 +1 @@
+swaymsg output DP-8 res 5120x1440